Package com.sap.ai.sdk.foundationmodels.rpt

# Class RptClient

java.lang.Object
com.sap.ai.sdk.foundationmodels.rpt.RptClient

public class RptClient extends Object
Client for interacting with SAP RPT foundation models.

Since:
  1.16.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RptClient`
  `forModel(RptModel foundationModel)`
  Creates a new RptClient for the specified foundation model.
  `PredictResponsePayload`
  `tableCompletion(PredictRequestPayload requestBody)`
  Predict targets using SAP RPT model with structured data.
  `PredictResponsePayload`
  `tableCompletion(File parquetFile, PredictionConfig predictionConfig)`
  Make in-context predictions for specified target columns based on provided table data Parquet file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### forModel

    @Nonnull public static RptClient forModel(@Nonnull RptModel foundationModel) throws DeploymentResolutionException
    Creates a new RptClient for the specified foundation model.
    Parameters:
      `foundationModel` - The foundation model to use.
    Returns:
      A new instance of RptClient.
    Throws:
      `DeploymentResolutionException` - If there is an error resolving the deployment.

  - ### tableCompletion

    @Beta @Nonnull public PredictResponsePayload tableCompletion(@Nonnull PredictRequestPayload requestBody)
    Predict targets using SAP RPT model with structured data.

    Note: This method is marked as `Beta` because it uses generated API types in its public signature.

    200 - Successful Prediction

    400 - Bad Request - Invalid input data

    413 - Payload Too Large

    422 - Validation Error

    500 - Internal Server Error

    Parameters:
      `requestBody` - The prediction request
    Returns:
      prediction response from the RPT model

  - ### tableCompletion

    @Beta @Nonnull public PredictResponsePayload tableCompletion(@Nonnull File parquetFile, @Nonnull PredictionConfig predictionConfig)
    Make in-context predictions for specified target columns based on provided table data Parquet file.

    Note: This method is marked as `Beta` because it uses generated API types in its public signature.

    200 - Successful Prediction

    400 - Bad Request - Invalid input data

    413 - Payload Too Large

    422 - Validation Error

    500 - Internal Server Error

    Parameters:
      `parquetFile` - Parquet file
      `predictionConfig` - The prediction configuration
    Returns:
      prediction response from the RPT model
    Since:
      1.16.0